package com.gic.haoban.manage.service.dao.mapper.licence;

import com.gic.haoban.manage.service.entity.licence.TabHaobanLicenceOrder;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public interface TabHaobanLicenceOrderMapper {

    /**
     * 获取订单详情
     * @param orderId
     * @return
     */
    TabHaobanLicenceOrder selectById(@Param("orderId") Long orderId);

    /**
     * 新增订单
     * @param tabHaobanLicenceOrder
     * @return
     */
    Integer insert(TabHaobanLicenceOrder tabHaobanLicenceOrder);

    /**
     * 删除订单
     * @param orderId
     * @return
     */
    Integer deleteById(@Param("orderId") Long orderId);

}
