package com.gic.haoban.manage.service.service.licence;

import com.gic.haoban.manage.api.dto.qdto.licence.LicenceOrderQDTO;
import com.gic.haoban.manage.service.entity.licence.TabHaobanLicenceOrder;

/**
 * <p>
 * 企业微信许可账号购买
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public interface LicenceOrderService {
    /**
     * 查询企业微信订单详情
     *
     * @param orderId 订单id
     * @return
     */
    TabHaobanLicenceOrder getLicenceOrderDetail(Long orderId);

    /**
     * 删除订单
     * @param orderId 订单id
     * @return
     */
    Integer deleteLicenceOrder(Long orderId);

    /**
     * 新增或者修改订单
     * @param licenceOrderQDTO
     * @return
     */
    Integer saveOrUpdateLicenceOrder(LicenceOrderQDTO licenceOrderQDTO);



}
